// Compiler: Keil
#include <REGX51.H> // standard 8051 defines
#include <stdio.h> // putchar

sbit SW1 = P3^6;
sbit SW2 = P3^7;

void delayms(unsigned int x)	 // delays x msec (at fosc=11.0592MHz)
{
	unsigned char j=0;
	while(x-- > 0)
	{
		for (j=0; j<125; j++){;}
	}
}

// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// -=-=-=-=- Main Program -=-=-=-=-=-=-=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
void main()
{
	// -=-=- Intialise Serial Port -=-=-=
	//Sets up MCU to use 9600 bps @ 11.059 MHz Crystal
	SCON = 0x52; // 8-bit UART mode
	TMOD = 0x20; // timer 1 mode 2 auto reload
	TH1= 0xfd; // 9600 8-n-1
	TR1 = 1; // run timer1
	
	// -=-=- Program Loop -=-=-=
	while(1)
	{
				if(SW1==0) // if Switch2 is down, transmit character A
				{
					putchar('A');
					delay_ms(500);
				}
				if(SW2==0) // if Switch2 is down, transmit character B
				{
					putchar('B');
					delay_ms(500);
				}				
	   } // end while
}// end main

