// Compiler: Keil
#include <REGX51.H> // standard 8051 defines

char ch;
sbit RELAY = P3^7;

//receive serial character from serial port
char mygetchar(void)
{
	char c;
	while(!RI);
	RI =0;
	c = SBUF;
	return SBUF;
}
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// -=-=-=-=- Main Program -=-=-=-=-=-=-=
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
void main()
{
	// -=-=- Intialise Serial Port -=-=-=
	//Sets up MCU to use 9600 bps @ 11.059 MHz Crystal
	SCON = 0x52; // 8-bit UART mode
	TMOD = 0x20; // timer 1 mode 2 auto reload
	TH1= 0xfd; // 9600 8-n-1
	TR1 = 1; // run timer1
	
	RELAY = 0; //Initially it is off
	
	// -=-=- Program Loop -=-=-=
	while(1)
	{
				ch = mygetchar(); //loop till character received
				if(ch=='A') // if received character is A, Switch ON relay
				{
					RELAY = 1;										 
				}
				if(ch=='B') // if received character is A, Switch OFF relay
				{
					RELAY = 0;										
				}				
	   } // end while
}// end main

